import { createTRPCProxyClient, httpBatchLink } from '@trpc/client';
/**
 * Create a tRPC client.
 * @see https://trpc.io/docs/vanilla
 */
export function createTRPCClient({ url = '/trpc', transformer, init, headers } = { url: '/trpc' }) {
    let link;
    if (init) {
        const { fetch } = init;
        link = httpBatchLink({ url, fetch, headers });
    }
    else {
        if (typeof window === 'undefined') {
            throw new Error('Calling createTRPCClient() on the server requires passing a valid LoadEvent argument');
        }
        link = httpBatchLink({ url, headers });
    }
    return createTRPCProxyClient({ transformer, links: [link] });
}
